#
# spec file for package kanjidic2
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           kanjidic2
License:        CC-BY-SA-3.0
Group:          System/I18n/Japanese
Provides:       locale(ja)
Version:        20141114
Release:        lp150.2.1
Url:            http://www.csse.monash.edu.au/~jwb/kanjidic2/
Source0:        kanjidic2.xml.gz
Source1:        kanjidic2_dtd.gz
Source2:        kanjidic2_ov.html
Source10:       LICENSE
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Kanji Database

%description
The KANJIDIC2 project has as its aim the production of 
a consolidated XML-format kanji database combining the 
information currently in the KANJIDIC (6,355 kanji from 
JIS X 0208) and KANJD212 (5,801 kanji from JIS X 0212) 
files.

This package uses the EDICT and KANJIDIC dictionary 
files. These files are the property of the Electronic 
Dictionary Research and Development Group, and are 
used in conformance with the Group's licence. 

%prep 

%build
cp %{SOURCE2} %{SOURCE10} .

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
gunzip -c %{SOURCE0} > %{buildroot}%{_datadir}/%{name}/kanjidic2.xml
gunzip -c %{SOURCE1} > %{buildroot}%{_datadir}/%{name}/kanjidic2_dtd

%files
%defattr(-, root, root)
%doc LICENSE kanjidic2_ov.html
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/kanjidic2.xml
%{_datadir}/%{name}/kanjidic2_dtd

%changelog
* Sat Nov 15 2014 mvidner@suse.com
- Updated to database_version 2014-318 (2014-11-14).
  DTD changes: added new dic_ref/@dr_type:
  - halpern_kkd - "Kodansha Kanji Dictionary",
    (2nd Ed. of the NJECD) edited by Jack Halpern.
  - halpern_kkld_2ed - "Kanji Learners Dictionary"
    (Kodansha), 2nd edition (2013) edited by Jack Halpern.
  - heisig6 - "Remembering The  Kanji, Sixth Ed."
    by James Heisig.
* Thu Jan 10 2013 pgajdos@suse.com
- package created, version 20130110
